Package org.eclipse.ui.texteditor

# Interface ISchedulingRuleProvider

All Known Implementing Classes:
  `TextFileDocumentProvider.DocumentProviderOperation`

public interface ISchedulingRuleProvider
A scheduling rule provider provides a scheduling rule which can be used when running operations.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`ISchedulingRule`
`getSchedulingRule()`
Returns the scheduling rule.

## Method Details

### getSchedulingRule

ISchedulingRule getSchedulingRule()
Returns the scheduling rule.

Returns:
  a scheduling rule or `null` if none